// Code generated by go-swagger; DO NOT EDIT.

package models

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"github.com/go-openapi/strfmt"
	"github.com/go-openapi/swag"
)

// VMListResponse vm list response
//
// swagger:model vmListResponse
type VMListResponse struct {

	// animated
	Animated bool `json:"animated,omitempty"`

	// height
	Height int32 `json:"height,omitempty"`

	// uri
	URI string `json:"uri,omitempty"`

	// width
	Width int32 `json:"width,omitempty"`
}

// Validate validates this vm list response
func (m *VMListResponse) Validate(formats strfmt.Registry) error {
	return nil
}

// MarshalBinary interface implementation
func (m *VMListResponse) MarshalBinary() ([]byte, error) {
	if m == nil {
		return nil, nil
	}
	return swag.WriteJSON(m)
}

// UnmarshalBinary interface implementation
func (m *VMListResponse) UnmarshalBinary(b []byte) error {
	var res VMListResponse
	if err := swag.ReadJSON(b, &res); err != nil {
		return err
	}
	*m = res
	return nil
}
